import { jsx } from "react/jsx-runtime";
import { Folder as Folder$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Folder = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Folder", ...props, children: /* @__PURE__ */ jsx(Folder$1, { weight: variant }) });
  }
);
Folder.displayName = "Folder";
Object.assign(Folder, { isGdsIcon: true });
export {
  Folder
};
